Active content

The Active Content Filtering plug-in controls the operation of the following active elements:

  • ActiveX

  • Java applets

  • Programs based on Java Script and VBScript

  • Cookies

  • Pop-up windows

  • Referrers.

This plug-in lets you independently allow or block any of these elements that might be contained in the web pages you are browsing or e-mail you are receiving.

The following topics describe how to use Outpost Firewall to set-up Active Content Filtering plug-in:

Enabling Active Content blocking

Setting up Active Content blocking for all sites

Setting up Active Content blocking for particular sites

Setting up Active Content elements for email and news

Viewing the Active Content log


Viewing Active content log

Viewing the Active Content log

To view the Active Content log:

  1. Right-click on the Outpost Firewall icon in the system tray to get the context menu.

  2. Select Show Outpost Firewall.

  3. Highlight Active Content in the Plug-ins tree.

You will see the elements that Active Content has blocked.

For more information about the Outpost log system, please read the Outpost Log System chapter.

Related Topics

Enabling Active Content blocking

Setting up Active Content blocking for all sites

Setting up Active Content blocking for particular sites

Setting up Active Content elements for email and news


Enabling Active Content blocking

To enable the Active Content plug-in:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Active Content

  4. Click Settings

  5. Check the Enable active content blocking checkbox.

Note

You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

Setting up Active Content blocking for all sites

Setting up Active Content blocking for a particular site

Setting up Active Content elements for email and news


Setting up Active content element for email and news

Setting up Active content elements for email and news

To allow or deny a particular active content element for incoming email and news:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Active Content

  4. Click Settings

  5. Click on Mail, News in the Left Panel

  6. The Information Panel now shows the settings for each Active Content element. You can change any of these to:

    • Disable—blocks the element's action

    • Prompt—asks you each time this element tries to activate

    • Enable—allows the element to function.

Notes

  • You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

  • The Prompt option is not available for Referrers, Popup windows, VB or Java scripts.

Related Topics

Enabling Active Content blocking

Setting up Active Content blocking for all sites

Setting up Active Content blocking for a particular site


Setting up Active content blocking for particular site

Setting up Active Content blocking for a particular site

To allow or deny a particular active content element for a particular web site:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Active Content

  4. Click Settings

  5. If you do not see any web sites, right click in the Left Panel and choose Web Pages, click the Add button and type in the web site you want to give individualized settings for and press the OK button (ex. www.agnitum.com ).

  6. The Information Panel now shows the settings for each Active Content element for this site. You can change any site's settings to:

    • Disable—blocks the element's action

    • Prompt—asks you each time this element tries to activate

    • Enable—allows the element to function.

Notes

  • You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

  • The Prompt option is not available for Referrers, Popup windows, VB or Java scripts.

Related Topics

Enabling Active Content blocking

Setting up Active Content blocking for all sites

Setting up Active Content elements for email and news


Setting up Active Content blocking for all sites

To allow or deny a particular Active Content element for all web sites:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Active Content

  4. Click Settings

  5. Click on Web Pages in the Left Panel

  6. The Information Panel now shows the settings for each Active Content element. You can change any of these to:

    • Disable—blocks the element's action

    • Prompt—asks you each time this element tries to activate

    • Enable—allows the element to function.

Notes

  • You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

  • The Prompt option is not available for Referrers, Popup windows, VB or Java scripts.

Related Topics

Enabling Active Content blocking

Setting up Active Content blocking for a particular site

Setting up Active Content elements for email and news